Bug 509461 - Port the 'quake mode' feature to the fedora version of terminator
Port the 'quake mode' feature to the fedora version of terminator
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 18:53 EDT by steve
Modified: 2010-06-28 09:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 237796 None None None Never

  None (edit)
Description steve 2009-07-02 18:53:46 EDT
Could we please get the quake mode feature which has been added upstream ?

https://bugs.launchpad.net/terminator/+bug/237796
http://bazaar.launchpad.net/~hashdefine/terminator/quake/revision/458

cheers,
- steve
Comment 1 Ian Weller 2009-07-02 19:27:08 EDT
It's in upstream 0.13 which I missed recently, but upon testing I can't get it to work. I'm going to submit 0.13 into the testing repo and submit a bug upstream.
Comment 2 Ian Weller 2009-07-02 19:42:55 EDT
And by "can't get it to work" I mean the quake mode ;)  the terminals themselves work just fine.
Comment 3 steve 2009-11-05 04:32:00 EST
Hi Ian,

I've moved to F-11 since when I posted the bug and I plan to move F-12 a couple of weeks after it is released. So, i'm changing the version of this bug.

Although I do see the cvs sources have a spec with version 0.13-2, I don't see the rpm for the updated version in the repos. Could you please build and push the updates ?

cheers,
- steve
Comment 4 Dominic Hopf 2010-02-13 22:25:19 EST
Hi steve,
can you have a look at terminator 0.14 if it is possible to use it in quake mode?
You can grab a package from here: http://koji.fedoraproject.org/koji/taskinfo?taskID=1984795

Alternatively, can you give me some small instructions on how to use the quake mode in terminator. I actually use a lot terminator functions, but didn't know it has a quake mode. ;)
Comment 5 steve 2010-02-17 08:37:07 EST
Hey Dominic,

Thanks for reminding me about this bz and sorry about the delayed response. Anyways ...

(In reply to comment #4)
> Hi steve,
> can you have a look at terminator 0.14 if it is possible to use it in quake
> mode?
> You can grab a package from here:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1984795
> 
> Alternatively, can you give me some small instructions on how to use the quake
> mode in terminator. I actually use a lot terminator functions, but didn't know
> it has a quake mode. ;)    

Yes, the feature does work in 0.14 too. It has been working for sometime now. By the quake mode, I meant the '-H' command line and 'hide_window' config options. Check the man pages about it. This was merged here ...

https://code.launchpad.net/~hashdefine/terminator/quake/+merge/2976

I forgot to update this BZ with a small note tho'. The implementation of this feature requires the 'deskbar' module, provided by the deskbar-applet package in Fedora.

So, i guess we'll need to add an rpm dependency on that. I could do that and realease an update if you are ok with it (I did offer to be co-maintainer after all :) ).


cheers,
- steve
Comment 6 Dominic Hopf 2010-02-27 14:58:05 EST
Hi Steve,
sorry for my late response. I wrote you a mail about the co-maintaining thing and some other issues. I really appreciate your help, so feel free to add yourself to the package on the package database as I wrote in the mail.

I'm not sure if adding another dependency is the appropriate solution, since I'd like to keep dependencies as small as possible and any GNOME support is mentioned as optional in the INSTALL file of terminator. Since there is no "recommends" for RPM, I think adding a README file pointing to install additional packages for some features could be more appropriate (I'm in special thinking of users who don't have installed GNOME and don't want to have such libraries installed).

What do you think about that?
Comment 7 Fedora Update System 2010-03-03 10:43:40 EST
terminator-0.14-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/terminator-0.14-2.fc13
Comment 8 Fedora Update System 2010-03-03 10:43:51 EST
terminator-0.14-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/terminator-0.14-2.fc11
Comment 9 Fedora Update System 2010-03-03 10:44:03 EST
terminator-0.14-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/terminator-0.14-2.fc12
Comment 10 Fedora Update System 2010-03-03 20:34:30 EST
terminator-0.14-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update terminator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F13/FEDORA-2010-3620
Comment 11 Fedora Update System 2010-03-05 22:37:34 EST
terminator-0.14-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update terminator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/terminator-0.14-2.fc11
Comment 12 Fedora Update System 2010-03-05 22:43:11 EST
terminator-0.14-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update terminator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/terminator-0.14-2.fc12
Comment 13 Bug Zapper 2010-04-27 11:26:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-06-28 09:26:57 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.